net.sf.jasperreports.charts

## Interface JRPieDataset

- All Superinterfaces:
    java.lang.Cloneable, JRChartDataset, JRCloneable, JRElementDataset
  All Known Implementing Classes:
    JRBasePieDataset, JRDesignPieDataset, JRFillPieDataset

      public interface JRPieDataset
      extends JRChartDataset

  This dataset is useful for rendering Pie or Pie 3D charts. Data required for such charts comes in the form of key-value pairs. Each pair represents a slice in the pie chart.
  Version:
    $Id: JRPieDataset.java 6995 2014-04-01 11:26:53Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getMaxCount()`
    `java.lang.Float` | `getMinPercentage()`
    `JRExpression` | `getOtherKeyExpression()`
    `JRExpression` | `getOtherLabelExpression()`
    `JRHyperlink` | `getOtherSectionHyperlink()` Returns the hyperlink specification for the special Other chart section, if present.
    `JRPieSeries[]` | `getSeries()`
    `void` | `setMaxCount(java.lang.Integer maxCount)`
    `void` | `setMinPercentage(java.lang.Float minPercentage)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `getDatasetType, validate`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `collectExpressions, getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getMinPercentage

          java.lang.Float getMinPercentage()

    - #### setMinPercentage

          void setMinPercentage(java.lang.Float minPercentage)

    - #### getMaxCount

          java.lang.Integer getMaxCount()

    - #### setMaxCount

          void setMaxCount(java.lang.Integer maxCount)

    - #### getSeries

          JRPieSeries[] getSeries()

      Returns:
        an array of `JRPieSeries` objects representing the series for the Pie or Pie 3D chart
      See Also:
        `JRPieSeries`

    - #### getOtherKeyExpression

          JRExpression getOtherKeyExpression()

    - #### getOtherLabelExpression

          JRExpression getOtherLabelExpression()

    - #### getOtherSectionHyperlink

          JRHyperlink getOtherSectionHyperlink()

      Returns the hyperlink specification for the special Other chart section, if present.
      Returns:
        hyperlink specification for the Other chart section

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com